Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class KnowledgeBaseEvent

    java.lang.Object
      java.util.EventObject
          edu.stanford.smi.protege.util.SessionEvent
              edu.stanford.smi.protege.util.AbstractEvent
                  edu.stanford.smi.protege.event.KnowledgeBaseEvent

All Implemented Interfaces:
  Event, Localizable, Serializable

    public class KnowledgeBaseEvent

extends AbstractEvent

Event generated when the knowledge base changes. Note that this just covers instance creation/deletion. Changes to existing instances generate separate events.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary
`static int` | `CLS_CREATED`
`static int` | `CLS_DELETED`
`static int` | `DEFAULT_CLS_METACLASS_CHANGED`
`static int` | `DEFAULT_FACET_METACLASS_CHANGED`
`static int` | `DEFAULT_SLOT_METACLASS_CHANGED`
`static int` | `FACET_CREATED`
`static int` | `FACET_DELETED`
`static int` | `FRAME_NAME_CHANGED` Deprecated.
`static int` | `FRAME_REPLACED`
`static int` | `INSTANCE_CREATED`
`static int` | `INSTANCE_DELETED`
`static int` | `SLOT_CREATED`
`static int` | `SLOT_DELETED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`KnowledgeBaseEvent(KnowledgeBase kb, int type, Frame frame)`
`KnowledgeBaseEvent(KnowledgeBase kb, int type, Frame frame, Object arg2)`
`KnowledgeBaseEvent(KnowledgeBase kb, int type, Frame frame, Object arg2, Object arg3)`

Method Summary
`Cls` | `getCls()`
`Facet` | `getFacet()`
`Frame` | `getFrame()`
`Frame` | `getNewFrame()`
`Cls` | `getOldMetaCls()`
`String` | `getOldName()`
`Slot` | `getSlot()`
`void` | `localize(KnowledgeBase kb)`

Methods inherited from class edu.stanford.smi.protege.util.AbstractEvent
`equals, equals, getArgument, getArgument1, getArgument2, getArgument3, getEventType, getSource, getTimeStamp, getUserName, hashCode, isReplacementEvent, setReplacementEvent, setSource, setTimeStamp, toString`

Methods inherited from class edu.stanford.smi.protege.util.SessionEvent
`getSession, isHiddenByTransaction, setHiddenByTransaction`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CLS_CREATED

    public static final int CLS_CREATED

See Also:
  Constant Field Values

### CLS_DELETED

    public static final int CLS_DELETED

See Also:
  Constant Field Values

### SLOT_CREATED

    public static final int SLOT_CREATED

See Also:
  Constant Field Values

### SLOT_DELETED

    public static final int SLOT_DELETED

See Also:
  Constant Field Values

### FACET_CREATED

    public static final int FACET_CREATED

See Also:
  Constant Field Values

### FACET_DELETED

    public static final int FACET_DELETED

See Also:
  Constant Field Values

### INSTANCE_CREATED

    public static final int INSTANCE_CREATED

See Also:
  Constant Field Values

### INSTANCE_DELETED

    public static final int INSTANCE_DELETED

See Also:
  Constant Field Values

### FRAME_NAME_CHANGED

    @Deprecated
    public static final int FRAME_NAME_CHANGED

  Deprecated.
  See Also:
    Constant Field Values

### FRAME_REPLACED

    public static final int FRAME_REPLACED

See Also:
  Constant Field Values

### DEFAULT_CLS_METACLASS_CHANGED

    public static final int DEFAULT_CLS_METACLASS_CHANGED

See Also:
  Constant Field Values

### DEFAULT_SLOT_METACLASS_CHANGED

    public static final int DEFAULT_SLOT_METACLASS_CHANGED

See Also:
  Constant Field Values

### DEFAULT_FACET_METACLASS_CHANGED

    public static final int DEFAULT_FACET_METACLASS_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### KnowledgeBaseEvent

    public KnowledgeBaseEvent(KnowledgeBase kb,
                              int type,
                              Frame frame)

### KnowledgeBaseEvent

    public KnowledgeBaseEvent(KnowledgeBase kb,
                              int type,
                              Frame frame,
                              Object arg2)

### KnowledgeBaseEvent

    public KnowledgeBaseEvent(KnowledgeBase kb,
                              int type,
                              Frame frame,
                              Object arg2,
                              Object arg3)

Method Detail

### getCls

    public Cls getCls()

### getFacet

    public Facet getFacet()

### getFrame

    public Frame getFrame()

### getOldMetaCls

    public Cls getOldMetaCls()

### getOldName

    public String getOldName()

### getSlot

    public Slot getSlot()

### getNewFrame

    public Frame getNewFrame()

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`
  Overrides:
    `localize` in class `AbstractEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.